16-Apr-2024 15:00 GMT.
UNDER CONSTRUCTION
Anonymous, there are 25 items in your selection
[Files] YAM 2.4 out!ANN.lu
Posted on 26-Apr-2003 02:47 GMT by Budda (Edited on 2003-04-26 12:06:10 GMT by Christian Kemp)25 comments
View flat
View list
An email in my inbox was happy to announce the release of YAM 2.4. YAM 2.4 is now available for download at the YAMOS homepage: http://sourceforge.net/projects/yamos/ NEW FEATURES
  • Hierarchical folder list - folders can now be arranged into groups, and nested at the user's discretion
  • SMTP & POP3 TLS1/SSL3 support for stunnel servers, using AmiSSL.library
  • Email address cache, making it possible to "remember" the last N used recipients if they don't appear in the address book
  • More powerful recipient string gadgets, resolving aliases, real names and email addresses "on the fly" as they are found in the address book or the email cache
  • Optional pop-up menus in the folder & message lists
  • Automatic codepage detection and translation, specially meant for cyrillic users.
  • Reworked status bar
  • Automatically finds the suitable mailing list support settings
  • Extended support for mailto: links
  • Search function in the Write window
  • Customizable size format and localized unit display
  • Individual appicon stats for folders, with an user-definable label
  • New hidden option "JumpToIncoming"
  • Deleting a block of text with RAmiga-Del automatically inserts a "[...]" marker
  • Built-in mouse wheel support
  • New "marked" status
  • "application/pdf" is now in the built-in list of MIME types
  • Extended documentation
YAM 2.4 out! : Comment 1 of 25ANN.lu
Posted by Budda on 26-Apr-2003 00:48 GMT
Bugger, the HTML was mistyped. I wish there was an option to keep previewing before a final submission was made! :-(
YAM 2.4 out! : Comment 2 of 25ANN.lu
Posted by Anonymous on 26-Apr-2003 06:51 GMT
How about full IMAP-support? YAM is useless for me otherwise :-(
YAM 2.4 out! : Comment 3 of 25ANN.lu
Posted by brotheris on 26-Apr-2003 06:54 GMT
In reply to Comment 2 (Anonymous):
try simplemail http://simplemail.sf.net
and for yam -> happy happy joy joy ;-)
YAM 2.4 out! : Comment 4 of 25ANN.lu
Posted by mahen on 26-Apr-2003 07:27 GMT
nice :)
YAM 2.4 out! : Comment 5 of 25ANN.lu
Posted by Jens Langner on 26-Apr-2003 08:11 GMT
In reply to Comment 2 (Anonymous):
Expect full IMAP support in one of the next YAM releases, preferable YAM 2.5.
YAM 2.4 out! : Comment 6 of 25ANN.lu
Posted by Niclas A on 26-Apr-2003 08:15 GMT
Yam should be the standard email program for Amiga OS4...I have always loved YAM and i think it's the best mail program on any platform.

The only thing holding it from being the default mailer could be that it uses MUI and not reaction. Not that i would like it to use reaction instead, but because if it's the standard mailer it should work without the need to install a 3:d party GUI system.

Anyway.. I love it :)

//Niclas
YAM 2.4 out! : Comment 7 of 25ANN.lu
Posted by A.Scott Pringle on 26-Apr-2003 08:19 GMT
In reply to Comment 5 (Jens Langner):
Keep up the good work Jens, can't wait for IMAP support 8)
Scott
YAM 2.4 out! : Comment 8 of 25ANN.lu
Posted by just not bill on 26-Apr-2003 08:29 GMT
In reply to Comment 6 (Niclas A):
>Not that i would like it to use reaction instead, but because if it's the standard mailer it should work without the need to install a 3:d party GUI system.

Or the standard Browser, but thats better than using a worser alternative application.
YAM 2.4 out! : Comment 9 of 25ANN.lu
Posted by Don Cox on 26-Apr-2003 08:52 GMT
In reply to Comment 6 (Niclas A):
"The only thing holding it from being the default mailer could be that it uses MUI and not reaction. Not that I would like it to use reaction instead, but because if it's the standard mailer it should work without the need to install a 3:d party GUI system."

As MUI will be provided with OS 4, I don't see it as a problem.
YAM 2.4 out! : Comment 10 of 25ANN.lu
Posted by Richi on 26-Apr-2003 09:48 GMT
Great!
I think it is the best mailer too!
BTW what is IMAP?
YAM 2.4 out! : Comment 11 of 25ANN.lu
Posted by Don Cox on 26-Apr-2003 10:13 GMT
In reply to Comment 10 (Richi):
A Google search for "IMAP" will soon tell you what it is.
YAM 2.4 out! : Comment 12 of 25ANN.lu
Posted by Anonymous on 26-Apr-2003 10:25 GMT
In reply to Comment 9 (Don Cox):
The incusion of MUI in Aos4 is for backword compatibility & not to encourage coders to continue with MUI when the new default GUI Reaction should be used as it far more customable than it was before, plus its free.
YAM 2.4 out! : Comment 13 of 25ANN.lu
Posted by mahen on 26-Apr-2003 10:49 GMT
In reply to Comment 12 (Anonymous):
I don't think YAM should become OS4 only...
YAM 2.4 out! : Comment 14 of 25ANN.lu
Posted by Joël EHRET on 26-Apr-2003 11:58 GMT
In reply to Comment 9 (Don Cox):
MUI won't come as full version with OS4... only MUI 3.9 Demo
<OFF TopicT>
To my knowledge the best coded MUI program is newsrog
demo on aminet... I'm looking for the author for lots of
time...anybody who can help me ->email...

NEwsrog show mui in all its glory...
</OFF Topic>

bye
YAM 2.4 out! : Comment 15 of 25ANN.lu
Posted by Justin Smith on 26-Apr-2003 12:51 GMT
In reply to Comment 14 (Joël EHRET):
> To my knowledge the best coded MUI program is newsrog demo on aminet... I'm looking for the author for lots of time...anybody who can help me ->email...

Same here, Joël. I need the 1.8b upgrade from 1.8 and can't find it anywhere.

And of course I'd love to see NewsRog for AmigaOS 4.
YAM 2.4 out! : Comment 16 of 25ANN.lu
Posted by Alan Buxey on 26-Apr-2003 13:23 GMT
If YAM moved to Reaction, it woulnt make it OS4.x only.... Reaction is available for < 4.x AmigaOS

I dont see anyone commenting on the MorphOS verson of YAM 2.4 either

OpenSource is good for YAM, it'll provide the correct environment to ensure tha it runs on all Amiga platforms (subject to the required coders being around)

alan
YAM 2.4 out! : Comment 17 of 25ANN.lu
Posted by Don Cox on 26-Apr-2003 14:17 GMT
In reply to Comment 12 (Anonymous):
"The incusion of MUI in Aos4 is for backword compatibility & not to encourage coders to continue with MUI when the new default GUI Reaction should be used as it far more customable than it was before, plus its free."

It's not up to the Hyperion team to decide whether people will program in Reaction or MUI. It depends more on whether the author of MUI decides to support OS 4.
YAM 2.4 out! : Comment 18 of 25ANN.lu
Posted by coldfire on 26-Apr-2003 15:30 GMT
In reply to Comment 17 (Don Cox):
MUI should really rock on G3 hardware. The heavy overhead that caused so much grief on 680X0 machines wont be noticeable on a modern processor.

coldfire
YAM 2.4 out! : Comment 19 of 25ANN.lu
Posted by John Block on 26-Apr-2003 16:47 GMT
There's trouble here with yam :(

The indexs need rebuilding.

Selecting folders with few messages and it does it fine.

Select folders with many messages and Yam reads them, however when Yam says "writing index" there's a crash with partition invalidated.

Tried:

increasing stacksize gradually to 80000
emptying static ram
erasing .index before selecting folder
Unplugging to remove anything in memory which might interfere
running snoopdos which just shows a read of a mail file at the end of the log
running just yam

'40 1200 35 meg aga no patches
YAM 2.4 out! : Comment 20 of 25ANN.lu
Posted by Don Cox on 26-Apr-2003 16:56 GMT
In reply to Comment 18 (coldfire):
"MUI should really rock on G3 hardware. The heavy overhead that caused so much grief on 680X0 machines wont be noticeable on a modern processor."

I never notice this famous overhead on 68040 or 68060 either. Certainly MUI-based programs fly on Amithlon.
YAM 2.4 out! : Comment 21 of 25ANN.lu
Posted by Daniel Allsopp on 26-Apr-2003 17:31 GMT
In reply to Comment 17 (Don Cox):
DC - "It's not up to the Hyperion team to decide whether people will program in Reaction or MUI. It depends more on whether the author of MUI decides to support OS 4."

The Instant Messenger I'm writing is going to be part of OS4 contributions and it uses MUI 3.9, I wouldn't have it any other way. Already been tried to be pursuaded to use ReAction but I don't like it at all.

It's up to the individual users tastes I suppose, so support for OS4 and MUI is a welcome addition.
YAM 2.4 out! : Comment 22 of 25ANN.lu
Posted by Alan Buxey on 27-Apr-2003 06:15 GMT
In reply to Comment 19 (John Block):
What filesystem are you using for the partition with YAM folders on?

What is your buffersize set to? give the partition another few hundred
buffers with the addbuffers command.

how big are your folders (ie when you say large number, can you qualify the size?) My biggest folders only have 6,000 items (and i class that as silly
and need to clear them out)

another idea: Just delete the index files manually (via shell, workbench or DOpus) and then start YAM

alan
YAM 2.4 out! : Comment 23 of 25ANN.lu
Posted by John Block on 28-Apr-2003 07:00 GMT
In reply to Comment 22 (Alan Buxey):
Thanks Alan,

On further testing it crashes on completion, at the stage where the newly indexed folder is to be displ

If the hide feature is used it completes without crashing.

The crashing has happenned n a few hundred emails and a few 10's of emails so seems less retated to index size.

John
YAM 2.4 out! : Comment 24 of 25ANN.lu
Posted by John Block on 28-Apr-2003 12:47 GMT
In reply to Comment 23 (John Block):
Going through the configuration menues seems to have fixed things.

There are settings like download size linit 0 and items on the folder list unchecked.
YAM 2.4 out! : Comment 25 of 25ANN.lu
Posted by John Block on 28-Apr-2003 15:37 GMT
still crashing, seems to flick several times between env: and dh1:internet/YAM then crashes
Anonymous, there are 25 items in your selection
Back to Top